STORE(9)

NAME
store, subyte, susword, suswintr, suword - store data to user-space

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
#include <sys/resourcevar.h>
int
subyte(void *base, int byte);
int
susword(void *base, int word);
int
suswintr(void *base, int word);
int
suword(void *base, int word);

DESCRIPTION
The store functions are designed to copy small amounts of data to user-space.

The store routines provide the following functionality:

subyte()
    Stores a byte of data to the user-space address base.

susword()
    Stores a short word of data to the user-space address base.

suswintr()
    Stores a short word of data to the user-space address base. This function is safe to call during an interrupt context.

suword()
    Stores a word of data to the user-space address base.

RETURN VALUES
The store functions return 0 on success or -1 on failure.

SEE ALSO
copy(9), fetch(9).